From 3fb633159ca4a1db166d5c54bbc025f71aba1652 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Daniel=20Vr=C3=A1til?= <dvratil@kde.org>
Date: Thu, 9 Apr 2020 12:48:53 +0200
Subject: Fix build against Qt 5.15

* asturm 2020-06-07: Rebased for 1.1.0

---
 plugin/passwordfiltermodel.cpp | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/plugin/passwordfiltermodel.cpp b/plugin/passwordfiltermodel.cpp
index e815797..2d323ad 100644
--- a/plugin/passwordfiltermodel.cpp	2019-12-06 07:59:15.000000000 +0100
+++ b/plugin/passwordfiltermodel.cpp	2020-06-07 11:22:23.310950571 +0200
@@ -79,7 +79,11 @@
     Q_ASSERT(sender() == &mUpdateTimer);
 
     mFilter = mUpdateTimer.property(newFilterProperty).toString();
+#if QT_VERSION < QT_VERSION_CHECK(5, 15, 0)
     mParts = mFilter.splitRef(QLatin1Char('/'), QString::SkipEmptyParts);
+#else
+    mParts = mFilter.splitRef(QLatin1Char('/'), Qt::SkipEmptyParts);
+#endif
     Q_EMIT passwordFilterChanged();
     mSortingLookup.clear();
     invalidate();
-- 
cgit v1.1
